package vip.xiaonuo.coldchain.core.service.dataprocess.handler.impl;

import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import vip.xiaonuo.coldchain.core.service.dataprocess.handler.AbstractColdChainDataHandler;
import vip.xiaonuo.coldchain.core.service.dataprocess.model.HaierColdChainMessageData;
import vip.xiaonuo.coldchain.core.service.dataprocess.model.RenKeColdChainMessageData;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-coldchain
 * @description
 * @date 2024/11/12 13:03:45
 */
@Component
@Slf4j
public class HaierColdChainDataHandler extends AbstractColdChainDataHandler<HaierColdChainMessageData> {

    @Override
    public boolean handleRealTimeData(HaierColdChainMessageData data) {
        log.info("海尔数据处理器正在实时处理时间,{}");
        return false;
    }

    @Override
    public boolean handleStoreData(RenKeColdChainMessageData renKeColdChainMessageData) {
        return false;
    }
}
